%global gem_name aws-sigv4

Name:           rubygem-%{gem_name}
Version:        1.0.1
Release:        1%{?dist}
Summary:        AWS Signature Version 4 library

Group:          Development/Languages
License:        ASL 2.0
URL:            http://github.com/aws/aws-sdk-ruby
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
# git clone -b code-generation http://github.com/aws/aws-sdk-ruby aws-sdk-ruby; cd aws-sdk-ruby
# #id=`git log --pretty='%H' -- gems/aws-sigv4/VERSION  | head -n 1`
# id=fe19f1b195c8f1ac2f8a74c0f72d641090f2431b
# git checkout $id
# cp -vp LICENSE.txt NOTICE.txt gems/aws-sigv4/
# (cd gems/aws-sigv4; tar -cf ../../rubygem-aws-sigv4-1.0.1-repo.tgz spec/ *.txt)
Source1:        %{name}-%{version}-repo.tgz

BuildArch:      noarch
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(rspec)
%if 0%{?rhel} && 0%{?rhel} <= 7
Requires:       ruby(rubygems)
Provides:       rubygem(%{gem_name}) = %{version}-%{release}
%endif

%description
Amazon Web Services Signature Version 4 signing library. Generates sigv4
signature for HTTP requests.


%package doc
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n %{gem_name}-%{version}
tar -xzf %{SOURCE1}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec


%build
gem build %{gem_name}.gemspec

%gem_install


%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
cp -pr spec/ ./%{gem_instdir}
pushd ./%{gem_instdir}
rspec -Ilib spec
rm -rf spec
popd


%files
%license LICENSE.txt NOTICE.txt
%dir %{gem_instdir}/
%{gem_libdir}/
%{gem_spec}
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}/


%changelog
* Mon Jul 24 2017 František Dvořák <valtri@civ.zcu.cz> - 1.0.1-1
- Initial package
